=== src/netgssapi/Makefile ===
TOP_DIR=../..

PKGNAME = netgssapi
OBJECTS = netgssapi.cmo
DOBJECTS = netgssapi.mli

INCLUDES += $(INC_NETSYS) $(INC_NETSTRING)

include $(TOP_DIR)/Makefile.rules

include depend
