=== src/nethttpd-for-netcgi2/Makefile ===
TOP_DIR=../..

PKGNAME  = nethttpd-for-netcgi2
OBJECTS  = 
DOBJECTS = 
DEP_FILES =

# prevent that anything is created:
ALL =
OPT =

include $(TOP_DIR)/Makefile.rules
