=== debian/changelog ===
ocamlnet (3.7.3-3build2) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 21:53:27 +0000

ocamlnet (3.7.3-3) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 21:17:34 +0100

ocamlnet (3.7.3-2) experimental; urgency=low

  * Cope with netcamlbox and netmulticore not being available on kfreebsd,
    because of lack of named semaphores (fix FTBFS)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Nov 2013 15:33:57 +0100

ocamlnet (3.7.3-1) experimental; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Nov 2013 12:30:24 +0100

ocamlnet (3.6.6-2) experimental; urgency=low

  * New upstream release
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 21:22:24 +0200

ocamlnet (3.6.5-1) experimental; urgency=low

  * New upstream release
    - enable netmech-scram and netzip modules
    - Netstring_pcre has moved to its own findlib package (netstring-pcre)
    - remove patches that were merged upstream:
      + Add-rpath-to-Apache-module,
      + Link-against-the-PIC-version-of-libcamlrun
      + Set-FD_CLOEXEC-correctly-using-F_SETFD-not
      + Fix-compilation-with-Apache-2.4
  * Rename libapache2-mod-ocamlnet package and configuration file to
    follow Apache module naming conventions
  * Update copyright file and use format version 1.0
  * Bump Standards-Version to 3.9.4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Jun 2013 11:55:15 +0200
