## ocamlnet 4.0.4

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,12 @@
 # default value if no Makefile.conf exists.
 PKGLIST ?= netstring cgi
 
+.PHONY: build
+build: all
+	if ocamlopt 2>/dev/null; then $(MAKE) opt; fi
+
 .PHONY: all
-all:
+all: tools
 	for pkg in $(PKGLIST); do \
 		( cd src/$$pkg && $(MAKE) -f Makefile.pre generate ) || exit; \
 		( cd src/$$pkg && $(MAKE) -f Makefile.pre depend ) || exit; \
@@ -23,7 +27,7 @@
 	done
 
 .PHONY: opt
-opt:
+opt: tools
 	for pkg in $(PKGLIST); do \
 		( cd src/$$pkg && $(MAKE) -f Makefile.pre generate ) || exit; \
 		( cd src/$$pkg && $(MAKE) -f Makefile.pre depend ) || exit; \
@@ -41,6 +45,11 @@
 		}; \
 	done
 	cd doc; $(MAKE) doc
+
+.PHONY: tools
+tools:
+	( cd tools/cppo-$(CPPO_VERSION) && $(MAKE) all )
+	( cd tools/unimap_to_ocaml && $(MAKE) all )
 
 
 # The following PHONY rule is important for Cygwin:
@@ -64,6 +73,8 @@
 			( cd $$pkg && $(MAKE) -f Makefile.pre clean); \
 	done
 	if test -f doc/Makefile; then cd doc && $(MAKE) clean; fi
+	( cd tools/cppo-$(CPPO_VERSION) && $(MAKE) clean )
+	( cd tools/unimap_to_ocaml && $(MAKE) clean )
 
 .PHONY: clean-doc
 clean-doc:
@@ -84,3 +95,16 @@
 		test ! -f $$pkg/Makefile || \
 			( cd $$pkg && $(MAKE) -f Makefile.pre distclean); \
 	done
+
+# That one is for oasis
+
+.PHONY: postconf
+postconf:
+	cat setup.save >>setup.data
+
+
+# phony because VERSION may also change
+.PHONY: _oasis
+_oasis: _oasis.in
+	v=`./configure -version`; sed -e 's/@VERSION@/'"$$v/" _oasis.in >_oasis
+	oasis setup
