=== src/netcamlbox/Makefile ===
TOP_DIR=../..

PKGNAME = netcamlbox
OBJECTS =  netcamlbox.cmo
DOBJECTS = netcamlbox.mli

INCLUDES = $(INC_NETSYS)

include $(TOP_DIR)/Makefile.rules

include depend
