=== src/netcgi2-plex/Makefile ===
TOP_DIR=../..

PKGNAME  = netcgi2-plex
OBJECTS  = netcgi_plex.cmo
DOBJECTS = netcgi_plex.mli

INCLUDES += -I ../netcgi2 -I ../netplex -I ../netsys

include $(TOP_DIR)/Makefile.rules

include depend
