=== src/nethttpd/Makefile ===
--- 
+++ 
@@ -11,10 +11,7 @@
 
 INCLUDES += $(INC_EQUEUE) $(INC_NETSTRING) $(INC_NETCGI2) $(INC_NETPLEX) \
             $(INC_NETSYS)
-PP_OPTIONS = -package "camlp4, camlp4.macro" -syntax "camlp4o"
-
-#PP_OPTIONS_FINDLIB += -ppopt "-DTesting"
-# do this to enable test coverage calculations
+PP_OPTIONS = -pp $(CPPO)
 
 include $(TOP_DIR)/Makefile.rules
