=== debian/changelog ===
ocamlnet (4.0.4-1build3) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:26:54 +0000

ocamlnet (4.0.4-1build2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 15:53:22 +0000

ocamlnet (4.0.4-1build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 17:15:27 -0600

ocamlnet (4.0.4-1) unstable; urgency=medium

  * New upstream release
    - compiles with OCaml 4.02.3 (Closes: #801550)
    - remove libssl-ocaml-dev and libcryptokit-ocaml-dev from
      Build-Depends; add libgnutls28-dev
    - add patch Fix-compilation-of-Apache-module
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Fri, 16 Oct 2015 09:55:18 +0200

ocamlnet (3.7.3-4) unstable; urgency=medium

  * Fix FTBFS: net{camlbox,multicore} are now built on kfreebsd

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Aug 2014 15:16:28 +0200
