=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
  libpcre-ocaml-dev (>= 6.0.1-2~),
  liblablgtk2-ocaml-dev (>= 2.12.0-4~),
  libcryptgps-ocaml-dev (>= 0.2.1-7~),
- libssl-ocaml-dev (>= 0.4.3-3~),
  libzip-ocaml-dev,
- libcryptokit-ocaml-dev,
+ libgnutls28-dev,
  apache2-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://projects.camlcity.org/projects/ocamlnet.html
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocamlnet.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocamlnet.git
