=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,12 @@
 endif
 
 CFGFLAGS =
-CFGFLAGS += -enable-gtk2 -enable-ssl
-CFGFLAGS += -with-nethttpd -prefer-netcgi2 -with-rpc-auth-dh
+CFGFLAGS += -enable-gtk2
+CFGFLAGS += -with-nethttpd -prefer-netcgi2
 CFGFLAGS += -bindir /usr/bin -datadir /usr/share/ocamlnet
 CFGFLAGS += -enable-apache -apache /usr/sbin/apache2 -apxs /usr/bin/apxs2
-CFGFLAGS += -enable-pcre -enable-zip -enable-crypto
+CFGFLAGS += -enable-pcre -enable-zip
+CFGFLAGS += -enable-gnutls
 
 %:
 	dh $@ --with ocaml,apache2
@@ -39,11 +40,6 @@
 	  echo "none"; \
 	fi
 	@echo
-endif
-ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
-# No named semaphores on kfreebsd
-	sed -i '/netcamlbox/d' debian/libocamlnet-ocaml*.install
-	sed -i '/netmulticore/d' debian/libocamlnet-ocaml*.install
 endif
 
 .PHONY: override_dh_auto_build
